Delete environment variable
Deletes an environment variable by key.
Deletes an environment variable by key.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
The unique key of the environment variable (e.g. BASE_URL)
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/environment-variables/BASE_URL"Update a variable PATCH
Updates an existing environment variable. Providing `values` merges them into the existing per-environment values by `_environmentId`; envs not present in the request keep their stored value. Submitting the masked secret placeholder (the value returned by read endpoints for secret variables) as a real value is rejected.
List all environments GET
This API returns a list of environments for the current organization. Each environment contains its configuration, API keys (if user has access), and metadata.